# Uses of Interface
org.opensaml.soap.wstrust.RequestedSecurityToken

Packages that use RequestedSecurityToken
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RequestedSecurityToken in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RequestedSecurityToken
Modifier and Type
Class
Description
`class`
`RequestedSecurityTokenImpl`
RequestedSecurityTokenImpl.
Methods in org.opensaml.soap.wstrust.impl that return RequestedSecurityToken
Modifier and Type
Method
Description
`RequestedSecurityToken`
RequestedSecurityTokenBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RequestedSecurityToken`
RequestedSecurityTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.